"use client"
import { Inter } from "next/font/google";
// import '~material-design-icons/iconfont/material-icons.css';
import 'material-symbols';
import "./globals.css";
// Routing
import { usePathname, useRouter } from "next/navigation";

// Provider for redux
import StoreProvider from "./storeProvider";

// i18next for languages
import { I18nextProvider } from 'react-i18next';
import i18n from "@/i18n"

// Components
import Sidebar from "../components/layout/sidebar/sidebar";
import Header from "../components/layout/header/header";
import Parent from "@/components/layout/parent/parent";




const inter = Inter({ subsets: ["latin"],
    variable: "--font-sans",
    });

// export const metadata={
//   title:{
//       default:"Company Name",
//       template:"%s |Company Name"
//   },
//   description: "Generated by team",
// }

export default  function RootLayout({ children}) {
    const pathname = usePathname()
    const router = useRouter()
  
    if(pathname !="/login"  ){

      return<html lang="en">
      <body  className={inter.className}>
      <StoreProvider>
          <I18nextProvider i18n={i18n}>
              <Parent>
                <div  className="flex h-screen">
                    <Sidebar/>
                    <div className="content">
                        <Header/>
                        <div className="py-4 mt-2.5">
                        {children}
                        </div>
                    </div>
                </div>
              </Parent>

              
          </I18nextProvider>
        </StoreProvider>
        
      </body>
    </html>
    }else{
      // if(localStorage.getItem("user")){
      //   router.push("/")
      // }
      return<html lang="en">
      <body className={inter.className}>
        <StoreProvider>
            <I18nextProvider i18n={i18n}>
                  <Parent >
                  {children}
                  </Parent>
                
            </I18nextProvider>
        </StoreProvider>
      </body>
    </html>
    }

    // return


}


